Show / Hide Table of Contents

# UniTask<T>.Awaiter Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct Awaiter : ICriticalNotifyCompletion

##### Implements

ICriticalNotifyCompletion

### Members

#### Constructors

Name | Description
--- | ---
Awaiter(UniTask<T>) |

#### Properties

Name | Description
--- | ---
IsCompleted |

#### Methods

Name | Description
--- | ---
GetResult() |
OnCompleted(Action) |
SourceOnCompleted(Action<Object>, Object) | If register manually continuation, you can use it instead of for compiler OnCompleted methods.
UnsafeOnCompleted(Action) |

### Constructors

#### Awaiter(UniTask<T>)

    public Awaiter(in UniTask<T> task)

##### Parameters

`task` UniTask<T>

### Properties

#### IsCompleted

    public bool IsCompleted { get; }

##### Property Value

System.Boolean

### Methods

#### GetResult()

    public T GetResult()

##### Returns

T

#### OnCompleted(Action)

    public void OnCompleted(Action continuation)

##### Parameters

`continuation` System.Action

#### SourceOnCompleted(Action<Object>, Object)

If register manually continuation, you can use it instead of for compiler OnCompleted methods.

    public void SourceOnCompleted(Action<object> continuation, object state)

##### Parameters

`continuation` System.Action<System.Object>
`state` System.Object

#### UnsafeOnCompleted(Action)

    public void UnsafeOnCompleted(Action continuation)

##### Parameters

`continuation` System.Action

### Implements

ICriticalNotifyCompletion